## ros-melodic-mrpt-localization 1.0.4

=== debian/changelog ===
ros-melodic-mrpt-localization (1.0.4-1bionic) bionic; urgency=high

  * Fix build against mrpt >=2.7.0
  * add initial pose for localization as param
  * Contributors: Jose Luis Blanco-Claraco, SRai22

 -- Markus Bader <markus.bader@tuwien.ac.at>  Mon, 27 Mar 2023 22:00:00 -0000

ros-melodic-mrpt-localization (1.0.3-1bionic) bionic; urgency=high



 -- Markus Bader <markus.bader@tuwien.ac.at>  Fri, 24 Jun 2022 22:00:00 -0000

ros-melodic-mrpt-localization (1.0.2-1bionic) bionic; urgency=high



 -- Markus Bader <markus.bader@tuwien.ac.at>  Fri, 24 Jun 2022 22:00:00 -0000

ros-melodic-mrpt-localization (1.0.1-1bionic) bionic; urgency=high

  * fix all build errors; removed now obsolete tf_prefix
  * Ported to tf2 and mrpt::ros1bridge
  * modernize cmake
  * Contributors: Jose Luis Blanco-Claraco

 -- Markus Bader <markus.bader@tuwien.ac.at>  Thu, 23 Jun 2022 22:00:00 -0000

ros-melodic-mrpt-localization (1.0.0-1bionic) bionic; urgency=high

  * Update URLs to https
  * Update build dep to mrpt2
  * Merge pull request #118 <https://github.com/mrpt-ros-pkg/mrpt_navigation/issues/118> from mx-robotics/ag-remove_laser_tf_cache
    continuous laser pose update from tf tree fag added
  * added ROS parameter continuous sensor pose update
  * Fix incorrect publication of estimated pose (Closes: #117 <https://github.com/mrpt-ros-pkg/mrpt_navigation/issues/117>)
  * Contributors: Jose Luis Blanco Claraco, Markus Bader

 -- Markus Bader <markus.bader@tuwien.ac.at>  Fri, 29 Apr 2022 22:00:00 -0000

ros-melodic-mrpt-localization (0.1.26-1bionic) bionic; urgency=high



 -- Markus Bader <markus.bader@tuwien.ac.at>  Fri, 04 Oct 2019 22:00:00 -0000

ros-melodic-mrpt-localization (0.1.25-1bionic) bionic; urgency=high

  * fix build against mrpt2
  * Contributors: Jose Luis Blanco-Claraco

 -- Markus Bader <markus.bader@tuwien.ac.at>  Thu, 03 Oct 2019 22:00:00 -0000

ros-melodic-mrpt-localization (0.1.24-1bionic) bionic; urgency=high

  * Fix build against MRPT 1.9.9
  * Contributors: Inounx, Jose Luis Blanco-Claraco, Julian Lopez Velasquez, Markus Bader

 -- Markus Bader <markus.bader@tuwien.ac.at>  Thu, 11 Apr 2019 22:00:00 -0000

ros-melodic-mrpt-localization (0.1.23-1bionic) bionic; urgency=high



 -- Markus Bader <markus.bader@tuwien.ac.at>  Wed, 13 Jun 2018 22:00:00 -0000

ros-melodic-mrpt-localization (0.1.22-1bionic) bionic; urgency=high

  * fix all catkin_lint errors
  * remove exec +x flag to cfg files
  * Contributors: Jose Luis Blanco-Claraco

 -- Markus Bader <markus.bader@tuwien.ac.at>  Mon, 21 May 2018 22:00:00 -0000

ros-melodic-mrpt-localization (0.1.21-1bionic) bionic; urgency=high

  * Upgrade version 0.1.20 (#99 <https://github.com/mrpt-ros-pkg/mrpt_navigation/issues/99>)
  * fix build against mrpt 2.0
  * partial fix build w mrpt 2.0
  * fix build in mrpt 2.0
  * optimized build (-O3)
  * Fix travis (#94 <https://github.com/mrpt-ros-pkg/mrpt_navigation/issues/94>)
    * add dep stereo_msgs
    * add dep stereo_msgs
    * fix minor warnigngs and errors
  * fix use c++14
  * Merge branch 'master' of github.com:tuw-robotics/mrpt_navigation
  * Merge branch 'master' into master
  * CMake finds MRPT >=1.5 in ROS master branch
  * Merge branch 'master' into compat-mrpt-1.5
  * CMake finds MRPT >=1.9
  * avoid Eigen warnings with GCC-7
  * Removed unnecessry MRPT_VERSION checks
  * Fixes for clang format
  * Removed c++11 declarations in cmake
  * Adapted CMakeLists to new mrpt
  * Ported to a new version of MRPT
  * Merge pull request #74 <https://github.com/mrpt-ros-pkg/mrpt_navigation/issues/74> from bergercookie/devel
    Use C++11 in mrpt_bridge, mrpt_localization
  * Merge pull request #77 <https://github.com/mrpt-ros-pkg/mrpt_navigation/issues/77> from corot/master
    Allow using maps from topic
  * Allow using maps from topic
  * Use C++11 in mrpt_bridge, mrpt_localization
  * Merge pull request #72 <https://github.com/mrpt-ros-pkg/mrpt_navigation/issues/72> from bergercookie/devel
    Add more conversion methods for CNetworkOfPoses classes
  * Correct include guard
  * Fix debug messages: (#65 <https://github.com/mrpt-ros-pkg/mrpt_navigation/issues/65>)
    * replace printf with log_info
    * read and use debug param
    * dumping to console only once
    Also publish pose even if not updating the filter (sorry for mixing commits)
  * Fix debug messages:
    * replace printf with log_info
    * read and use debug param
    * dumping to console only once
    Also publish pose even if not updating the filter (sorry for mixing commits)
  * put right the covariance matrix initialization (#63 <https://github.com/mrpt-ros-pkg/mrpt_navigation/issues/63>)
  * Merge pull request #61 <https://github.com/mrpt-ros-pkg/mrpt_navigation/issues/61> from corot/master
    Prevent extrapolation into the past when publishing the tf
  * Fix a bug in the way I handle filter state
  * Prevent extrapolation into the past when publishing the tf and handle update/not update more nicelly. Also, ROS-format variables
  * Contributors: Ashish Raste, Borys Tymchenko, Hunter Laux, Jorge Santos, Jorge Santos Simón, Jose Luis Blanco Claraco, Jose Luis Blanco-Claraco, Markus Bader, Nikos Koukis, corot

 -- Markus Bader <markus.bader@tuwien.ac.at>  Thu, 26 Apr 2018 22:00:00 -0000

ros-melodic-mrpt-localization (0.1.20-1bionic) bionic; urgency=high

  * fix build against mrpt 2.0
  * partial fix build w mrpt 2.0
  * fix build in mrpt 2.0
  * optimized build (-O3)
  * Fix travis (#94 <https://github.com/mrpt-ros-pkg/mrpt_navigation/issues/94>)
    * add dep stereo_msgs
    * add dep stereo_msgs
    * fix minor warnigngs and errors
  * fix use c++14
  * Merge branch 'master' of github.com:tuw-robotics/mrpt_navigation
  * Merge branch 'master' into master
  * CMake finds MRPT >=1.5 in ROS master branch
  * Merge branch 'master' into compat-mrpt-1.5
  * CMake finds MRPT >=1.9
  * avoid Eigen warnings with GCC-7
  * Removed unnecessry MRPT_VERSION checks
  * Fixes for clang format
  * Removed c++11 declarations in cmake

